Subject: Re: [PATCH 21/25] xor: add a better public API

From: Christoph Hellwig <[email-masked]>
Date: Tue, 3 Mar 2026 17:07:21 +0100

On Fri, Feb 27, 2026 at 10:50:38PM -0800, Eric Biggers wrote:
> The alignment requirements on the vectors should be documented, as
> should which values of bytes are accepted.  It looks like, at the very
> least, the vectors have to be 32-byte aligned and the length has to be a
> nonzero multiple of 512 bytes.  But I didn't check every implementation.

That would match the original use case in the md raid code and also in
file system uses such as btrfs, yes.